<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TopicsCards',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>
<template>
  <section class="slp-flex slp-flex-column slp-align-items-center">
    <h3 class="slp-mb-24">{{ data.subtitle }}</h3>
    <div class="container slp-mb-64">
      <div v-for="card in data.cards" :key="card.title" class="card">
        <div class="card__content">
          <div class="icon">
            <img :src="card.icon" alt="" />
            <div class="category">
              {{ card.category }}
            </div>
          </div>
          <SlpTypography class="title slp-text-lg" tag="h4">{{
            card.title
          }}</SlpTypography>
          <a
            :href="card.url"
            :data-ga-name="card.data_ga_name"
            :data-ga-location="card.data_ga_location"
            class="description slp-text-base"
            >{{ card.description }}</a
          >
        </div>
      </div>
    </div>
  </section>
</template>
<style lang="scss" scoped>
@import '~/assets/css/base.scss';

.container {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  grid-gap: 20px 50px;
  @media (min-width: $breakpoint-md) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media (min-width: $breakpoint-xl) {
    grid-template-columns: repeat(3, 1fr);
  }
}

.card {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  text-align: center;
  box-sizing: border-box;
  box-shadow: 0px 2px 50px rgba(#333, 0.08);
  min-width: 289px;
  border-radius: $spacing-4;
  border: 1px solid #f2f2f2;

  &__content {
    padding: $spacing-32;
    text-align: left;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    min-height: 165px;

    .category {
      font-size: 10px;
      letter-spacing: 0.1em;
      line-height: 18px;
      text-transform: uppercase;
    }

    .title {
      color: $color-text-300;
    }

    .description {
      color: $color-text-link-100;
      font-weight: $font-weight-bold;
      margin-top: 20px;
      &:after {
        position: absolute;
        content: '→';
        padding-top: 2px;
        padding-left: $spacing-4;
        width: 9px;
        text-decoration: none;
      }
      &:hover {
        text-decoration: underline;
      }
    }
  }

  .icon {
    display: flex;
    margin-bottom: 10px;

    img {
      transition: all 0.2s ease-in-out;
      border-bottom: 1px solid #f2f2f2;
      border-radius: $spacing-4;
      margin: 0 10px 0 0;
    }
  }
}
</style>
